Install flameshot on ubuntu 16.04

Update 2

In ubuntu 18.04, flameshot can be installed directly

sudo apt install flameshot

Update

There is a ppa for this now. Follow the below link

https://launchpad.net/~harish2704/+archive/ubuntu/ppa1


First check whether you have git installed

sudo apt install git

Clone the repository using this command

git clone https://github.com/lupoDharkael/flameshot.git

Go to the clone directory

cd flameshot

Install the dependencies

sudo apt install -y git g++ build-essential qt5-qmake qt5-default qttools5-dev-tools

Compile and install using qmake and make install

qmake

make install #desktop entry fails with warning

To use it

flameshot gui #via terminal

Enjoy smile

5 Comments

  1. To use it on keyboard shortcut just add an shortcut calling “flameshot gui” and the prntscr button (working on ubuntu 16.04)

  2. All the above steps followed by me and finally there is no result.

    • There is a ppa now. Isn’t it working? I will update the post after checking them.

  3. On 16.04 qmake will fail
    //Project ERROR: Unknown module(s) in QT: svg

    requires libqt5svg5-dev
    $ sudo apt install libqt5svg5-dev

  4. You have to install libqt5svg5-dev

    Anyway the tip works for me

Leave a Reply to Alkesh Miyani Cancel reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

%d bloggers like this: